<?xml version="1.0" encoding="utf-8"?>
<resources>

    <declare-styleable name="FilterMenuLayout">
        <attr name="fm_primaryColor" format="color|reference"/>
        <attr name="fm_primaryDarkColor" format="color|reference"/>
        <attr name="fm_expandedRadius" format="dimension"/>
        <attr name="fm_collapsedRadius" format="dimension"/>
        <attr name="fm_centerLeft" format="dimension"/>
        <attr name="fm_centerRight" format="dimension"/>
        <attr name="fm_centerTop" format="dimension"/>
        <attr name="fm_centerHorizontal" format="boolean"/>
        <attr name="fm_centerVertical" format="boolean"/>
        <attr name="fm_centerBottom" format="dimension"/>
        <attr name="fm_sweepAngle" format="integer"/>
    </declare-styleable>

    <declare-styleable name="SwipeSelector">
        <attr name="swipe_itemsXmlResource" format="reference" />
        <attr name="swipe_unselectedItemTitle" format="string" />
        <attr name="swipe_unselectedItemDescription" format="string" />
        <attr name="swipe_indicatorSize" format="dimension" />
        <attr name="swipe_indicatorMargin" format="dimension" />
        <attr name="swipe_indicatorActiveColor" format="color" />
        <attr name="swipe_indicatorInActiveColor" format="color" />
        <attr name="swipe_leftButtonResource" format="reference" />
        <attr name="swipe_rightButtonResource" format="reference" />
        <attr name="swipe_customFontPath" format="string" />
        <attr name="swipe_titleTextAppearance" format="reference" />
        <attr name="swipe_descriptionTextAppearance" format="reference" />


        <attr name="swipe_descriptionGravity" format="enum">
            <enum name="left" value="0" />
            <enum name="center" value="1" />
            <enum name="right" value="2" />
        </attr>
    </declare-styleable>

    <declare-styleable name="CircularImageView">
        <attr name="border" format="boolean" />
        <attr name="border_width" format="dimension" />
        <attr name="border_color" format="color" />
        <attr name="shadow" format="boolean" />
    </declare-styleable>
    <declare-styleable name="Theme">
        <attr name="circularImageViewStyle" format="reference" />
    </declare-styleable>

    <attr name="siArrowPosition">
        <enum name="left" value="0" />
        <enum name="right" value="1" />
    </attr>
    <attr name="siBorderType">
        <enum name="stroke" value="0" />
        <enum name="fill" value="1" />
    </attr>
    <attr name="siStrokeCap">
        <enum name="butt" value="0" />
        <enum name="round" value="1" />
        <enum name="square" value="2" />
    </attr>
    <attr name="siStrokeJoin">
        <enum name="bevel" value="0" />
        <enum name="miter" value="1" />
        <enum name="round" value="2" />
    </attr>

    <declare-styleable name="ShaderImageView">
        <attr name="siSquare" format="boolean" />
        <attr name="siBorderColor" format="color" />
        <attr name="siBorderWidth" format="dimension" />
        <attr name="siBorderAlpha" format="float" />
        <attr name="siForeground" format="integer|reference" />
        <attr name="siRadius" format="dimension" />
        <attr name="siArrowPosition" />
        <attr name="siTriangleHeight" format="dimension" />
        <attr name="siShape" format="integer|reference" />
        <attr name="siBorderType" />
        <attr name="siStrokeCap" />
        <attr name="siStrokeJoin" />
        <attr name="siStrokeMiter" format="dimension" />
    </declare-styleable>

    <declare-styleable name="MyEditText">
        <attr name="passwordValidator" format="boolean" />
        <attr name="emailAvailability" format="boolean" />
        <attr name="phoneAvailability" format="boolean" />
        <attr name="usernameAvailability" format="boolean" />
    </declare-styleable>
    <declare-styleable name="RotateLoading">
        <attr name="loading_width" format="dimension" />
        <attr name="loading_color" format="color" />
        <attr name="shadow_position" format="integer" />
    </declare-styleable>

    <declare-styleable name="CircleIndicator">
        <attr name="ci_width" format="dimension" />
        <attr name="ci_height" format="dimension" />
        <attr name="ci_margin" format="dimension" />
        <attr name="ci_animator" format="reference" />
        <attr name="ci_animator_reverse" format="reference" />
        <attr name="ci_drawable" format="reference" />
        <attr name="ci_drawable_unselected" format="reference" />
    </declare-styleable>

    <declare-styleable name="LinearTimerView">
        <attr name="radius" format="dimension" />
        <attr name="strokeWidth" format="dimension" />
        <attr name="initialColor" format="color" />
        <attr name="progressColor" format="color" />
        <attr name="startingPoint" format="integer" />
        <attr name="preFillPoint" format="integer" />
    </declare-styleable>

    <declare-styleable name="NotificationBadge">
        <attr name="nbTextSize" format="dimension" />
        <attr name="nbTextColor" format="color" />
        <attr name="nbBackground" format="reference" />
        <attr name="nbAnimationEnabled" format="boolean" />
        <attr name="nbAnimationDuration" format="integer" />
        <attr name="nbMaxTextLength" format="integer" />
        <attr name="nbEllipsizeText" format="string" />
    </declare-styleable>

    <declare-styleable name="interactiveplayerview">
        <attr name="imageCover" format="integer" />
        <attr name="durationSize" format="dimension" />
        <attr name="emptyColor" format="color" />
        <attr name="loadedColor" format="color" />
        <attr name="selectedAction1" format="integer" />
        <attr name="unselectedAction1" format="integer" />
        <attr name="selectedAction2" format="integer" />
        <attr name="unselectedAction2" format="integer" />
        <attr name="selectedAction3" format="integer" />
        <attr name="unselectedAction3" format="integer" />
    </declare-styleable>

    <declare-styleable name="RoundCornerProgress">
        <attr name="rcReverse" format="boolean" />
        <attr name="rcProgress" format="float" />
        <attr name="rcMax" format="float" />
        <attr name="rcSecondaryProgress" format="float" />
        <attr name="rcBackgroundPadding" format="dimension" />
        <attr name="rcRadius" format="dimension" />
        <attr name="rcProgressColor" format="color" />
        <attr name="rcSecondaryProgressColor" format="color" />
        <attr name="rcBackgroundColor" format="color" />
    </declare-styleable>

    <declare-styleable name="IconRoundCornerProgress">
        <attr name="rcIconSrc" format="integer" />
        <attr name="rcIconSize" format="dimension" />
        <attr name="rcIconWidth" format="dimension" />
        <attr name="rcIconHeight" format="dimension" />
        <attr name="rcIconPadding" format="dimension" />
        <attr name="rcIconPaddingLeft" format="dimension" />
        <attr name="rcIconPaddingRight" format="dimension" />
        <attr name="rcIconPaddingTop" format="dimension" />
        <attr name="rcIconPaddingBottom" format="dimension" />
        <attr name="rcIconBackgroundColor" format="color" />
    </declare-styleable>

    <declare-styleable name="TextRoundCornerProgress">
        <attr name="rcTextProgressColor" format="color" />
        <attr name="rcTextProgressSize" format="dimension" />
        <attr name="rcTextProgressMargin" format="dimension" />
        <attr name="rcTextProgress" format="string" />
    </declare-styleable>

    <declare-styleable name="PinViewTheme">
        <attr name="pinViewStyle" format="reference" />
    </declare-styleable>

    <declare-styleable name="PinView">
        <attr name="itemCount" format="integer" />
        <attr name="itemWidth" format="dimension" />
        <attr name="itemHeight" format="dimension" />
        <attr name="itemRadius" format="dimension" />
        <attr name="itemSpacing" format="dimension" />
        <attr name="lineWidth" format="dimension" />
        <attr name="lineColor" format="reference|color" />
        <attr name="viewType" format="enum">
            <enum name="rectangle" value="0" />
            <enum name="line" value="1" />
        </attr>
        <attr name="android:cursorVisible" />
        <attr name="cursorWidth" format="dimension" />
        <attr name="cursorColor" format="reference|color" />
    </declare-styleable>

    <declare-styleable name="SliderLayout">

        <!-- indicator visibility -->
        <attr name="indicator_visibility" format="enum">
            <enum name="visible" value="0" />
            <enum name="invisible" value="1" />
        </attr>

        <attr name="auto_cycle" format="boolean" />

        <!-- page animation -->
        <attr name="pager_animation" format="enum">
            <enum name="Default" value="0">Default</enum>
            <enum name="Accordion" value="1">Accordion</enum>
            <enum name="Background2Foreground" value="2">Background2Foreground</enum>
            <enum name="CubeIn" value="3">CubeIn</enum>
            <enum name="DepthPage" value="4">DepthPage</enum>
            <enum name="Fade" value="5">Fade</enum>
            <enum name="FlipHorizontal" value="6">FlipHorizontal</enum>
            <enum name="FlipPage" value="7">FlipPage</enum>
            <enum name="Foreground2Background" value="8">Foreground2Background</enum>
            <enum name="RotateDown" value="9">RotateDown</enum>
            <enum name="RotateUp" value="10">RotateUp</enum>
            <enum name="Stack" value="11">Stack</enum>
            <enum name="Tablet" value="12">Tablet</enum>
            <enum name="ZoomIn" value="13">ZoomIn</enum>
            <enum name="ZoomOutSlide" value="14">ZoomOutSlide</enum>
            <enum name="ZoomOut" value="15">ZoomOut</enum>
        </attr>

        <!-- page animation time span -->
        <attr name="pager_animation_span" format="integer" />

    </declare-styleable>

    <declare-styleable name="PagerIndicator">
        <!-- indicator visibility -->
        <attr name="visibility" format="enum">
            <enum name="visible" value="0" />
            <enum name="invisible" value="1" />
        </attr>

        <attr name="shape" format="enum">
            <enum name="oval" value="0" />
            <enum name="rect" value="1" />
        </attr>

        <attr name="selected_color" format="color" />
        <attr name="unselected_color" format="color" />

        <!-- indicator style -->
        <attr name="selected_drawable" format="reference" />
        <attr name="unselected_drawable" format="reference" />

        <attr name="selected_width" format="dimension" />
        <attr name="selected_height" format="dimension" />

        <attr name="unselected_width" format="dimension" />
        <attr name="unselected_height" format="dimension" />

        <attr name="padding_left" format="dimension" />
        <attr name="padding_right" format="dimension" />
        <attr name="padding_top" format="dimension" />
        <attr name="padding_bottom" format="dimension" />

        <attr name="selected_padding_left" format="dimension" />
        <attr name="selected_padding_right" format="dimension" />
        <attr name="selected_padding_top" format="dimension" />
        <attr name="selected_padding_bottom" format="dimension" />

        <attr name="unselected_padding_left" format="dimension" />
        <attr name="unselected_padding_right" format="dimension" />
        <attr name="unselected_padding_top" format="dimension" />
        <attr name="unselected_padding_bottom" format="dimension" />


    </declare-styleable>

    <declare-styleable name="Themes">
        <attr name="SliderStyle" format="reference" />
        <attr name="PagerIndicatorStyle" format="reference" />
    </declare-styleable>

    <declare-styleable name="AutofitTextView">
        <attr name="minTextSize" format="dimension" />
        <attr name="precision" format="float" />
        <attr name="sizeToFit" format="boolean" />
    </declare-styleable>


    <declare-styleable name="PinCodeView">
        <attr name="lp_empty_pin_dot" format="integer" />
        <attr name="lp_full_pin_dot" format="integer" />
    </declare-styleable>

    <declare-styleable name="KeyboardButtonView">
        <attr name="lp_keyboard_button_text" format="string" />
        <attr name="lp_keyboard_button_image" format="integer" />
        <attr name="lp_keyboard_button_ripple_enabled" format="boolean" />
        <attr name="lp_pin_forgot_dialog_title" format="string" />
        <attr name="lp_pin_forgot_dialog_content" format="string" />
        <attr name="lp_pin_forgot_dialog_positive" format="string" />
        <attr name="lp_pin_forgot_dialog_negative" format="string" />
    </declare-styleable>
    <attr name="ttlm_defaultStyle" format="reference" />
    <declare-styleable name="TooltipLayout">
        <attr name="ttlm_padding" format="dimension" />
        <attr name="ttlm_strokeColor" format="color" />
        <attr name="ttlm_backgroundColor" format="color" />
        <attr name="ttlm_strokeWeight" format="dimension" />
        <attr name="ttlm_cornerRadius" format="dimension" />
        <attr name="ttlm_arrowRatio" format="float" />
        <attr name="android:textAppearance" />
        <attr name="android:gravity" />
        <attr name="ttlm_overlayStyle" format="reference" />
        <attr name="ttlm_font" format="string" />

        <!-- elevation of the tooltip. Works only on non custom views -->
        <attr name="ttlm_elevation" format="dimension" />
    </declare-styleable>

    <declare-styleable name="TooltipOverlay">
        <attr name="android:color" />
        <attr name="android:alpha" />
        <attr name="ttlm_repeatCount" format="integer" />
        <attr name="ttlm_duration" format="integer" />
        <attr name="android:layout_margin" />
    </declare-styleable>

</resources>